"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useSnackbar = void 0;

var _react = _interopRequireDefault(require("react"));

var _Overlay = require("../../../core/Overlay");

var _Snackbar = _interopRequireDefault(require("./Snackbar"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const useSnackbar = () => {
  const {
    closeOverlay,
    setOverlay
  } = (0, _Overlay.useOverlay)();
  const defaultConfig = {
    enableOverlay: false,
    autoHideDuration: 5000,
    accessibilityAnnouncement: ''
  };

  const setSnackbar = (component, config) => {
    config = { ...defaultConfig,
      ...config
    };
    const {
      autoHideDuration = 5000,
      enableOverlay,
      ...rest
    } = config;
    setOverlay( /*#__PURE__*/_react.default.createElement(_Snackbar.default, _extends({
      autoHideDuration: autoHideDuration
    }, rest), component), {
      disableOverlay: !enableOverlay
    });
    setTimeout(() => {
      closeOverlay();
    }, autoHideDuration);
  };

  return {
    setSnackbar
  };
};

exports.useSnackbar = useSnackbar;
//# sourceMappingURL=hooks.js.map