"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Box = _interopRequireDefault(require("../../primitives/Box"));

var _Context = require("./Context");

var _utils = require("../../../theme/tools/utils");

var _tabs = require("@react-native-aria/tabs");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Tab = ({
  children,
  isDisabled,
  style,
  _active,
  _disabled,
  item,
  ...props
}) => {
  const newProps = (0, _utils.omitUndefined)(props);

  const {
    inactiveTabStyle,
    activeTabStyle,
    state
  } = _react.default.useContext(_Context.TabsContext);

  let ref = _react.default.useRef(null);

  let isSelected = state.selectedKey === item.key;
  let {
    tabProps
  } = (0, _tabs.useTab)({
    item,
    isDisabled
  }, state, ref);

  _react.default.useEffect(() => {
    if (isDisabled) {
      state.disabledKeys.add(item.key);
    } else {
      state.disabledKeys.delete(item.key);
    }
  }, [isDisabled, item.key, state.disabledKeys]);

  const tabStyle = isSelected ? activeTabStyle : inactiveTabStyle;
  return /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, _extends({
    disabled: isDisabled,
    ref: ref
  }, tabProps), /*#__PURE__*/_react.default.createElement(_Box.default, _extends({}, tabStyle, newProps, {
    style: [style, isSelected && _active, isDisabled && _disabled]
  }), children));
};

var _default = /*#__PURE__*/_react.default.memo(Tab);

exports.default = _default;
//# sourceMappingURL=Tab.js.map