"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "createIcon", {
  enumerable: true,
  get: function () {
    return _createIcon.createIcon;
  }
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledSystem = require("styled-system");

var _customProps = require("../../../utils/customProps");

var _native = _interopRequireDefault(require("styled-components/native"));

var _hooks = require("../../../hooks");

var _vectorIcons = require("@expo/vector-icons");

var _SVGIcon = _interopRequireDefault(require("./SVGIcon"));

var _createIcon = require("./createIcon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const componentMap = {
  AntDesign: _vectorIcons.AntDesign,
  Entypo: _vectorIcons.Entypo,
  EvilIcons: _vectorIcons.EvilIcons,
  Feather: _vectorIcons.Feather,
  FontAwesome: _vectorIcons.FontAwesome,
  FontAwesome5: _vectorIcons.FontAwesome5,
  Fontisto: _vectorIcons.Fontisto,
  Foundation: _vectorIcons.Foundation,
  Ionicons: _vectorIcons.Ionicons,
  MaterialCommunityIcons: _vectorIcons.MaterialCommunityIcons,
  MaterialIcons: _vectorIcons.MaterialIcons,
  Octicons: _vectorIcons.Octicons,
  SimpleLineIcons: _vectorIcons.SimpleLineIcons,
  Zocial: _vectorIcons.Zocial
};

function getStyledIconComponent(type) {
  return (0, _native.default)(componentMap[type])(_styledSystem.color, _styledSystem.space, _styledSystem.layout, _styledSystem.flexbox, _styledSystem.border, _styledSystem.typography, _styledSystem.position, _customProps.customPosition, _customProps.customBorder, _customProps.customBackground, _customProps.customOutline, _customProps.customShadow, _customProps.customExtra, _customProps.customLayout, _customProps.customTypography);
}

const Icon = ({
  type,
  name,
  style,
  ...props
}, ref) => {
  const {
    size,
    ...newProps
  } = (0, _hooks.useThemeProps)('Icon', props);

  if (!name) {
    return /*#__PURE__*/_react.default.createElement(_SVGIcon.default, _extends({}, props, {
      style: style
    }));
  }

  const Component = getStyledIconComponent(type !== null && type !== void 0 ? type : 'MaterialIcons');
  return /*#__PURE__*/_react.default.createElement(Component, _extends({
    name: name
  }, newProps, {
    ref: ref,
    style: [style, {
      fontSize: parseInt(size, 10)
    }]
  }));
};

var _default = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(Icon));

exports.default = _default;
//# sourceMappingURL=index.js.map