"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InputGroup = exports.InputRightAddon = exports.InputLeftAddon = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("../Box"));

var _utils = require("../../../utils");

var _hooks = require("../../../core/color-mode/hooks");

var _Flex = _interopRequireDefault(require("../Flex"));

var _theme = require("../../../theme");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const InputLeftAddon = /*#__PURE__*/_react.default.memo(props => {
  const addonsDefaultStyle = {
    p: 3,
    borderColor: (0, _hooks.useColorModeValue)('gray.300', 'gray.600'),
    borderWidth: 1
  };
  return /*#__PURE__*/_react.default.createElement(_Box.default, _extends({}, addonsDefaultStyle, {
    borderRightWidth: 0,
    roundedLeft: 4,
    bg: (0, _hooks.useColorModeValue)('gray.50', 'gray.700')
  }, props), /*#__PURE__*/_react.default.createElement(_Box.default, {
    m: "auto",
    _text: props._text || {
      fontWeight: 600
    }
  }, props.children));
});

exports.InputLeftAddon = InputLeftAddon;

const InputRightAddon = /*#__PURE__*/_react.default.memo(props => {
  const addonsDefaultStyle = {
    p: 3,
    borderColor: (0, _hooks.useColorModeValue)('gray.300', 'gray.600'),
    borderWidth: 1
  };
  return /*#__PURE__*/_react.default.createElement(_Box.default, _extends({}, addonsDefaultStyle, {
    borderLeftWidth: 0,
    roundedRight: 4,
    bg: (0, _hooks.useColorModeValue)('gray.50', 'gray.700')
  }, props), /*#__PURE__*/_react.default.createElement(_Box.default, {
    m: "auto",
    _text: props._text || {
      fontWeight: 600
    }
  }, props.children));
});

exports.InputRightAddon = InputRightAddon;

const supplyPropsToChildren = (children, props) => {
  return _react.default.Children.map(children, child => {
    return /*#__PURE__*/_react.default.cloneElement(child, props, child.props.children);
  });
};

const InputGroup = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(({
  children,
  ...props
}, ref) => {
  let [layoutProps, remProps] = _theme.themeTools.extractInObject(props, ['w', 'width', 'm', 'mr', 'ml', 'mt', 'mb', 'mx', 'my']);

  return /*#__PURE__*/_react.default.createElement(_Flex.default, _extends({
    direction: "row"
  }, layoutProps, {
    ref: ref
  }), supplyPropsToChildren((0, _utils.getAttachedChildren)(children), remProps));
}));

exports.InputGroup = InputGroup;
//# sourceMappingURL=InputGroup.js.map