"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.RadioContext = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("../Box"));

var _FormControl = require("../../composites/FormControl");

var _radio = require("@react-stately/radio");

var _radio2 = require("@react-native-aria/radio");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

let RadioContext = /*#__PURE__*/_react.default.createContext({});

exports.RadioContext = RadioContext;

const RadioGroup = ({
  size,
  colorScheme,
  ...props
}, ref) => {
  const formControlContext = _react.default.useContext(_FormControl.FormControlContext);

  let state = (0, _radio.useRadioGroupState)(props);
  let {
    radioGroupProps
  } = (0, _radio2.useRadioGroup)({ ...formControlContext,
    ...props
  }, state);
  return /*#__PURE__*/_react.default.createElement(RadioContext.Provider, {
    value: { ...formControlContext,
      size,
      colorScheme,
      state
    }
  }, /*#__PURE__*/_react.default.createElement(_Box.default, _extends({
    alignItems: "flex-start"
  }, radioGroupProps, props, {
    ref: ref
  }), props.children));
};

var _default = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(RadioGroup));

exports.default = _default;
//# sourceMappingURL=RadioGroup.js.map