"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _native = _interopRequireDefault(require("styled-components/native"));

var _styledSystem = require("styled-system");

var _hooks = require("../../../hooks");

var _useSpinner = require("./useSpinner");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

// import type { IBoxProps } from '../Box';
// import { customLayout, customPosition } from '../../../utils/customProps';
// import {
//   Default,
//   Dotted,
//   MultiColorDotted,
//   Stroked,
//   SquareDotted,
// } from './variants';
// const StyleAnimatedView = styled(Animated.View)<IBoxProps>(
//   color,
//   border,
//   position,
//   customPosition,
//   customLayout
// );
const StyledSpinner = (0, _native.default)(_reactNative.ActivityIndicator)(_styledSystem.color, _styledSystem.space, _styledSystem.position);

const Spinner = ({ ...props
}, ref) => {
  const newProps = (0, _hooks.useThemeProps)('Spinner', props);
  const spinnerColor = (0, _hooks.useToken)('colors', newProps.color);
  const {
    spinnerProps
  } = (0, _useSpinner.useSpinner)(props); // const iconSize: any = { sm: 10, lg: 20 };
  // const degree: any = new Animated.Value(0);
  // Animated.loop(
  //   Animated.timing(degree, {
  //     toValue: 1,
  //     duration: newProps.duration ?? 1900,
  //     easing: Easing.linear,
  //     useNativeDriver: false,
  //   })
  // ).start();
  // const styles = StyleSheet.create({
  //   animateStyle: {
  //     transform: [
  //       {
  //         rotateZ: degree.interpolate({
  //           inputRange: [0, 1],
  //           outputRange: ['0deg', '360deg'],
  //         }),
  //       },
  //     ],
  //   },
  // });
  // if (!newProps.variant) {

  return /*#__PURE__*/_react.default.createElement(StyledSpinner, _extends({}, spinnerProps, newProps, {
    color: spinnerColor,
    ref: ref
  })); // } else {
  //   if (newProps.variant === 'custom' && renderProp) {
  //     return (
  //       <StyleAnimatedView style={styles.animateStyle}>
  //         {renderProp}
  //       </StyleAnimatedView>
  //     );
  //   } else {
  //     let SpinnerVariant = null;
  //     switch (newProps.variant) {
  //       case 'dotted':
  //         SpinnerVariant = (
  //           <Dotted
  //             color={spinnerColor}
  //             size={props.size ? iconSize[props.size] : 12}
  //           />
  //         );
  //         break;
  //       case 'multiColorDotted':
  //         SpinnerVariant = (
  //           <MultiColorDotted
  //             color={spinnerColor}
  //             size={props.size ? iconSize[props.size] : 12}
  //           />
  //         );
  //         break;
  //       case 'stroked':
  //         SpinnerVariant = (
  //           <Stroked
  //             color={spinnerColor}
  //             size={props.size ? iconSize[props.size] : 12}
  //           />
  //         );
  //         break;
  //       case 'squareDotted':
  //         SpinnerVariant = (
  //           <SquareDotted
  //             color={spinnerColor}
  //             size={props.size ? iconSize[props.size] : 12}
  //           />
  //         );
  //         break;
  //       default:
  //         SpinnerVariant = (
  //           <Default
  //             color={spinnerColor}
  //             size={props.size ? iconSize[props.size] : 12}
  //           />
  //         );
  //     }
  //     return (
  //       <StyleAnimatedView style={styles.animateStyle}>
  //         {SpinnerVariant}
  //       </StyleAnimatedView>
  //     );
  //   }
  // }
};

var _default = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(Spinner));

exports.default = _default;
//# sourceMappingURL=index.js.map