"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.extendTheme = extendTheme;

var _theme = require("./../theme");

var _mergeWith = _interopRequireDefault(require("lodash/mergeWith"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isFunction(value) {
  return typeof value === 'function';
}

function extendTheme(overrides) {
  function customizer(source, override) {
    if (isFunction(source)) {
      return (...args) => {
        const sourceValue = source(...args);
        const overrideValue = isFunction(override) ? override(...args) : override;
        return (0, _mergeWith.default)({}, sourceValue, overrideValue, customizer);
      };
    }

    return undefined;
  }

  return (0, _mergeWith.default)({}, _theme.theme, overrides, customizer);
}
//# sourceMappingURL=extendTheme.js.map