"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _react = _interopRequireDefault(require("react"));

var _native = _interopRequireDefault(require("styled-components/native"));

var _usePropsWithComponentTheme = require("../hooks/useThemeProps/usePropsWithComponentTheme");

var _styledSystem = require("styled-system");

var _customProps = require("../utils/customProps");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _default(Component, componentTheme) {
  return /*#__PURE__*/_react.default.forwardRef(({
    children,
    ...props
  }, ref) => {
    const StyledComponent = (0, _native.default)(Component)(_styledSystem.color, _styledSystem.background, _styledSystem.padding, _styledSystem.margin, _styledSystem.space, _styledSystem.layout, _styledSystem.flexbox, _styledSystem.border, _styledSystem.position, _styledSystem.typography, _customProps.customPosition, _customProps.customBorder, _customProps.customBackground, _customProps.customOutline, _customProps.customShadow, _customProps.customExtra, _customProps.customTypography, _customProps.customLayout);
    const calculatedProps = (0, _usePropsWithComponentTheme.usePropsWithComponentTheme)(componentTheme, props);
    return /*#__PURE__*/_react.default.createElement(StyledComponent, _extends({}, calculatedProps, {
      ref: ref
    }), children);
  });
}
//# sourceMappingURL=component.js.map