"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.customGrid = void 0;

var _styledSystem = require("styled-system");

const config = {
  area: {
    property: 'gridArea'
  },
  gridGap: {
    property: 'gridGap',
    scale: 'space'
  },
  gridColumnGap: {
    property: 'gridColumnGap',
    scale: 'space'
  },
  gridRowGap: {
    property: 'gridRowGap',
    scale: 'space'
  },
  gridColumn: true,
  gridRow: true,
  gridAutoFlow: true,
  gridAutoColumns: true,
  gridColumnStart: true,
  gridColumnEnd: true,
  gridAutoRows: true,
  gridTemplateColumns: true,
  gridTemplateRows: true,
  gridTemplateAreas: true,
  gridArea: true,
  placeItems: true
};
/**
 * Types for grid related CSS properties
 */

const customGrid = (0, _styledSystem.system)(config);
exports.customGrid = customGrid;
//# sourceMappingURL=customGrid.js.map