function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { Pressable } from 'react-native';
import Box from '../../primitives/Box';
import { TabsContext } from './Context';
import { omitUndefined } from '../../../theme/tools/utils';
import { useTab } from '@react-native-aria/tabs';

const Tab = ({
  children,
  isDisabled,
  style,
  _active,
  _disabled,
  item,
  ...props
}) => {
  const newProps = omitUndefined(props);
  const {
    inactiveTabStyle,
    activeTabStyle,
    state
  } = React.useContext(TabsContext);
  let ref = React.useRef(null);
  let isSelected = state.selectedKey === item.key;
  let {
    tabProps
  } = useTab({
    item,
    isDisabled
  }, state, ref);
  React.useEffect(() => {
    if (isDisabled) {
      state.disabledKeys.add(item.key);
    } else {
      state.disabledKeys.delete(item.key);
    }
  }, [isDisabled, item.key, state.disabledKeys]);
  const tabStyle = isSelected ? activeTabStyle : inactiveTabStyle;
  return /*#__PURE__*/React.createElement(Pressable, _extends({
    disabled: isDisabled,
    ref: ref
  }, tabProps), /*#__PURE__*/React.createElement(Box, _extends({}, tabStyle, newProps, {
    style: [style, isSelected && _active, isDisabled && _disabled]
  }), children));
};

export default /*#__PURE__*/React.memo(Tab);
//# sourceMappingURL=Tab.js.map