import React from 'react';
import { Animated } from 'react-native';
import { useThemeProps } from '../../../hooks/useThemeProps';
import { useFadeTransition } from './useFadeTransition';
import Box from '../../primitives/Box';

const Fade = ({
  children,
  ...props
}) => {
  const {
    in: animationState,
    duration
  } = useThemeProps('Fade', props);
  const {
    fadeValue,
    fadeIn,
    fadeOut
  } = useFadeTransition(duration);
  animationState ? fadeIn() : fadeOut();
  return /*#__PURE__*/React.createElement(Animated.View, {
    style: {
      opacity: fadeValue
    }
  }, /*#__PURE__*/React.createElement(Box, props), children);
};

export default /*#__PURE__*/React.memo(Fade);
//# sourceMappingURL=Fade.js.map