function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { default as Box } from '../Box';
import { getAttachedChildren } from '../../../utils';
import { useColorModeValue } from '../../../core/color-mode/hooks';
import Flex from '../Flex';
import { themeTools } from '../../../theme';
export const InputLeftAddon = /*#__PURE__*/React.memo(props => {
  const addonsDefaultStyle = {
    p: 3,
    borderColor: useColorModeValue('gray.300', 'gray.600'),
    borderWidth: 1
  };
  return /*#__PURE__*/React.createElement(Box, _extends({}, addonsDefaultStyle, {
    borderRightWidth: 0,
    roundedLeft: 4,
    bg: useColorModeValue('gray.50', 'gray.700')
  }, props), /*#__PURE__*/React.createElement(Box, {
    m: "auto",
    _text: props._text || {
      fontWeight: 600
    }
  }, props.children));
});
export const InputRightAddon = /*#__PURE__*/React.memo(props => {
  const addonsDefaultStyle = {
    p: 3,
    borderColor: useColorModeValue('gray.300', 'gray.600'),
    borderWidth: 1
  };
  return /*#__PURE__*/React.createElement(Box, _extends({}, addonsDefaultStyle, {
    borderLeftWidth: 0,
    roundedRight: 4,
    bg: useColorModeValue('gray.50', 'gray.700')
  }, props), /*#__PURE__*/React.createElement(Box, {
    m: "auto",
    _text: props._text || {
      fontWeight: 600
    }
  }, props.children));
});

const supplyPropsToChildren = (children, props) => {
  return React.Children.map(children, child => {
    return /*#__PURE__*/React.cloneElement(child, props, child.props.children);
  });
};

export const InputGroup = /*#__PURE__*/React.memo( /*#__PURE__*/React.forwardRef(({
  children,
  ...props
}, ref) => {
  let [layoutProps, remProps] = themeTools.extractInObject(props, ['w', 'width', 'm', 'mr', 'ml', 'mt', 'mb', 'mx', 'my']);
  return /*#__PURE__*/React.createElement(Flex, _extends({
    direction: "row"
  }, layoutProps, {
    ref: ref
  }), supplyPropsToChildren(getAttachedChildren(children), remProps));
}));
//# sourceMappingURL=InputGroup.js.map