import React from 'react';
import { HybridContext } from './../hybrid-overlay/Context';
export const usePopover = () => {
  const {
    popover: {
      setPopoverItem,
      defaultConfig,
      setConfig,
      parentComponentConfig
    }
  } = React.useContext(HybridContext);

  const closePopover = () => {
    setPopoverItem(null);
    setConfig({ ...defaultConfig,
      parentComponentConfig: null
    });
  };

  const setPopover = (component, config) => {
    config && setConfig({ ...defaultConfig,
      ...config
    });
    setPopoverItem(component);
  };

  return {
    closePopover,
    setPopover,
    parentComponentConfig
  };
};
//# sourceMappingURL=usePopover.js.map