/// <reference types="react" />
import type { TextStyle } from 'react-native';
import type { IButtonProps } from '../Button';
import type { ITextProps } from '../Text';
export declare type ISelectProps = IButtonProps & {
    placeholder?: string;
    _placeholder?: ITextProps;
    selectedValue?: string;
    onValueChange?: (itemValue: string, itemIndex?: number) => void;
    _item?: ITextProps;
    selectedItemBg?: string;
    _selectedItem?: ITextProps;
    isDisabled?: boolean;
    dropdownIcon?: JSX.Element;
    dropdownOpenIcon?: JSX.Element;
    dropdownCloseIcon?: JSX.Element;
    variant?: 'styled' | 'native';
    _ios?: any;
    _android?: any;
    _web?: any;
    itemStyle?: TextStyle;
    androidMode?: 'dialog' | 'dropdown';
    androidIconColor?: string;
    androidPrompt?: string;
};
export declare type ISelectItemProps = IButtonProps & {
    label: string;
    value: string;
    _label?: ITextProps;
};
export declare type ISelectComponentType = ((props: ISelectProps) => JSX.Element) & {
    Item: React.MemoExoticComponent<(props: ISelectItemProps) => JSX.Element>;
};
