import type * as CSS from 'csstype';
import type { ResponsiveValue } from './responsiveValue';
/**
 * Types for position CSS properties
 */
export interface customPositionProps {
    /**
     * The CSS `left`, `right`, `top`, `bottom` property
     */
    inset?: ResponsiveValue<CSS.Property.Left<string | number>>;
    /**
     * The CSS `left`, and `right` property
     */
    insetX?: ResponsiveValue<CSS.Property.Left<string | number>>;
    /**
     * The CSS `top`, and `bottom` property
     */
    insetY?: ResponsiveValue<CSS.Property.Left<string | number>>;
    /**
     * The CSS `position` property
     */
    pos?: ResponsiveValue<CSS.Property.Position>;
}
export declare const customPosition: import("styled-system").styleFn;
